package com.persagy.dmp.rwd.basic.constant;

import lombok.Getter;

/**
 * 对象类型简写
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Getter
public enum DigitalObjectTypeShort {

    /** 对象类型简写 */
    PROJECT("Pj", "项目"),
    BUILDING("Bd", "楼"),
    FLOOR("Fl", "楼层"),
    SPACE("Sp", "空间"),
    SYSTEM("Sy", "系统"),
    EQUIPMENT("Eq", "设备"),
    SHAFT("Sh", "竖井"),
    COMPONENT("Ec", "部件"),
    VIRTUAL("Vo", "虚拟对象"),
    TOOL("To", "工具"),
    MATERIAL("Ma", "耗材");

    private String index;
    private String name;

    DigitalObjectTypeShort(String index, String name) {
        this.index = index;
        this.name = name;
    }
}
